import { XYChart } from "./XYChart";
import { Type } from "igniteui-react-core";
import { CategoryChartType } from "./CategoryChartType";
import { CategorySeriesMarkerCollisionAvoidance } from "./CategorySeriesMarkerCollisionAvoidance";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { BrushCollection } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { Series } from "./Series";
import { XamDataChart } from "./XamDataChart";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CategoryChart extends XYChart {
    static $t: Type;
    protected hs(): void;
    protected hu(a: Series, b: number): void;
    protected ie(a: string, b: any, c: any): void;
    private rt;
    rv: number;
    private qt;
    qu: (time: number) => number;
    ry(): string;
    protected hn(a: XamDataChart): void;
    protected ht(a: Series, b: number): void;
    private qj;
    private qn;
    protected hc(): void;
    protected or(a: Axis): void;
    private qd;
    qe: CategoryChartType;
    private qf;
    qg: CategorySeriesMarkerCollisionAvoidance;
    private qx;
    q2: boolean;
    private qh;
    qi: CategoryTransitionInMode;
    private qr;
    qs: TransitionInSpeedType;
    private q6;
    rk: number;
    private q7;
    rl: number;
    private q5;
    rj: number;
    private q8;
    rm: number;
    private q9;
    rp: number;
    private qz;
    q4: boolean;
    private ru;
    rw: number;
    private rb;
    rr: number;
    private ra;
    rq: number;
    private rc;
    rs: number;
    readonly ri: number;
    readonly rh: number;
    re(): number;
    rg(): number;
    rd(): number;
    rf(): number;
    readonly ro: number;
    readonly rn: number;
    private p9;
    qb: BrushCollection;
    private qa;
    qc: BrushCollection;
    private qy;
    q3: boolean;
    private qv;
    q0: boolean;
    private qw;
    q1: boolean;
    constructor();
    protected get_cl(): List$1<DataSeriesType>;
    protected readonly cl: List$1<DataSeriesType>;
    private sm;
    private sn;
    protected ix(): void;
    private _xAxis;
    private xAxis;
    private _yAxis;
    private yAxis;
    private qm;
    private ql;
    protected w(a: DataSeries): DataSeriesType;
    protected ay(a: DataSeries, b: DataSeriesType): Series;
    protected iv(a: DataSeries): void;
    protected iy(): void;
    protected get_ck(): List$1<IDataSeriesAdapterRule>;
    protected readonly ck: List$1<IDataSeriesAdapterRule>;
    protected ha(a: Series, b: number): void;
    private sk;
    private sl;
    protected jp(): Axis;
    protected jq(): Axis;
    private qp;
    private qq;
    protected ch(a: string, b: boolean): List$1<Series>;
    protected i2(a: Series, b: Series, c: DataSeries): void;
    protected id(a: string, b: any, c: any): void;
}
